# https://github.com/levnikmyskin/hyprland-virtual-desktops

bind = $mainMod, 1, vdesk, 1
bind = $mainMod, 2, vdesk, 2
bind = $mainMod, 3, vdesk, 3
bind = $mainMod, 4, vdesk, 4
bind = $mainMod, 5, vdesk, 5
bind = $mainMod, 6, vdesk, 6
bind = $mainMod, 7, vdesk, 7
bind = $mainMod, 8, vdesk, 8
bind = $mainMod, 9, vdesk, 9
bind = $mainMod, 0, vdesk, 10

# Move active window to a workspace with mainMod + SHIFT + [0-9]
bind = $mainMod SHIFT, 1, movetodesk, 1
bind = $mainMod SHIFT, 2, movetodesk, 2
bind = $mainMod SHIFT, 3, movetodesk, 3
bind = $mainMod SHIFT, 4, movetodesk, 4
bind = $mainMod SHIFT, 5, movetodesk, 5
bind = $mainMod SHIFT, 6, movetodesk, 6
bind = $mainMod SHIFT, 7, movetodesk, 7
bind = $mainMod SHIFT, 8, movetodesk, 8
bind = $mainMod SHIFT, 9, movetodesk, 9
bind = $mainMod SHIFT, 0, movetodesk, 10

bind = ALT, TAB, lastdesk

stickyrule = class:discord,5
stickyrule = class:vesktop,5
stickyrule = class:org.telegram.desktop,5
stickyrule = class:Slack,5

gesture = 3, right, dispatcher, prevdesk
gesture = 3, left, dispatcher, nextdesk

plugin {
    virtual-desktops {
        names = 1:Coding, 2:Internet, 3:3,4:4, 5:Social 
        cycleworkspaces = 0
        rememberlayout = none
        notifyinit = 0
        verbose_logging = 0
    }
}